<?php

/*
+---------------------------------------------------------------------------+
| Revive Adserver                                                           |
| http://www.revive-adserver.com                                            |
|                                                                           |
| Copyright: See the COPYRIGHT.txt file.                                    |
| License: GPLv2 or later, see the LICENSE.txt file.                        |
+---------------------------------------------------------------------------+
*/

/**
 * A non-comprehensive locale list
 *
 * Derived from https://www.science.co.il/language/Locale-codes.php as fetched on 2021-05-07
 */

$res = [
    'af' => 'Afrikaans',
    'sq' => 'Albanian',
    'am' => 'Amharic',
    'ar' => 'Arabic',
    'ar-dz' => ' - Arabic/Algeria',
    'ar-bh' => ' - Arabic/Bahrain',
    'ar-eg' => ' - Arabic/Egypt',
    'ar-iq' => ' - Arabic/Iraq',
    'ar-jo' => ' - Arabic/Jordan',
    'ar-kw' => ' - Arabic/Kuwait',
    'ar-lb' => ' - Arabic/Lebanon',
    'ar-ly' => ' - Arabic/Libya',
    'ar-ma' => ' - Arabic/Morocco',
    'ar-om' => ' - Arabic/Oman',
    'ar-qa' => ' - Arabic/Qatar',
    'ar-sa' => ' - Arabic/Saudi Arabia',
    'ar-sy' => ' - Arabic/Syria',
    'ar-tn' => ' - Arabic/Tunisia',
    'ar-ae' => ' - Arabic/United Arab Emirates',
    'ar-ye' => ' - Arabic/Yemen',
    'hy' => 'Armenian',
    'as' => 'Assamese',
    'az' => 'Azeri',
    'eu' => 'Basque',
    'be' => 'Belarusian',
    'bn' => 'Bengali',
    'bs' => 'Bosnian',
    'bg' => 'Bulgarian',
    'my' => 'Burmese',
    'ca' => 'Catalan',
    'zh' => 'Chinese',
    'zh-cn' => ' - Chinese/China',
    'zh-hk' => ' - Chinese/Hong Kong SAR',
    'zh-mo' => ' - Chinese/Macau SAR',
    'zh-sg' => ' - Chinese/Singapore',
    'zh-tw' => ' - Chinese/Taiwan',
    'hr' => 'Croatian',
    'cs' => 'Czech',
    'da' => 'Danish',
    'nl' => 'Dutch',
    'nl-be' => ' - Dutch/Belgium',
    'nl-nl' => ' - Dutch/Netherlands',
    'en' => 'English',
    'en-au' => ' - English/Australia',
    'en-bz' => ' - English/Belize',
    'en-ca' => ' - English/Canada',
    'en-cb' => ' - English/Caribbean',
    'en-gb' => ' - English/Great Britain',
    'en-in' => ' - English/India',
    'en-ie' => ' - English/Ireland',
    'en-jm' => ' - English/Jamaica',
    'en-nz' => ' - English/New Zealand',
    'en-ph' => ' - English/Philippines',
    'en-za' => ' - English/Southern Africa',
    'en-tt' => ' - English/Trinidad',
    'en-us' => ' - English/United States',
    'et' => 'Estonian',
    'mk' => 'FYRO Macedonia',
    'fo' => 'Faroese',
    'fa' => 'Farsi',
    'fi' => 'Finnish',
    'fr' => 'French',
    'fr-be' => ' - French/Belgium',
    'fr-ca' => ' - French/Canada',
    'fr-fr' => ' - French/France',
    'fr-lu' => ' - French/Luxembourg',
    'fr-ch' => ' - French/Switzerland',
    'gd' => 'Gaelic',
    'de' => 'German',
    'de-at' => ' - German/Austria',
    'de-de' => ' - German/Germany',
    'de-li' => ' - German/Liechtenstein',
    'de-lu' => ' - German/Luxembourg',
    'de-ch' => ' - German/Switzerland',
    'el' => 'Greek',
    'gn' => 'Guarani',
    'gu' => 'Gujarati',
    'he' => 'Hebrew',
    'hi' => 'Hindi',
    'hu' => 'Hungarian',
    'is' => 'Icelandic',
    'id' => 'Indonesian',
    'it' => 'Italian',
    'it-it' => ' - Italian/Italy',
    'it-ch' => ' - Italian/Switzerland',
    'ja' => 'Japanese',
    'kn' => 'Kannada',
    'ks' => 'Kashmiri',
    'kk' => 'Kazakh',
    'km' => 'Khmer',
    'ko' => 'Korean',
    'lo' => 'Lao',
    'la' => 'Latin',
    'lv' => 'Latvian',
    'lt' => 'Lithuanian',
    'ms' => 'Malay',
    'ms-bn' => ' - Malay/Brunei',
    'ms-my' => ' - Malay/Malaysia',
    'ml' => 'Malayalam',
    'mt' => 'Maltese',
    'mi' => 'Maori',
    'mr' => 'Marathi',
    'mn' => 'Mongolian',
    'ne' => 'Nepali',
    'no' => 'Norwegian',
    'or' => 'Oriya',
    'pl' => 'Polish',
    'pt' => 'Portuguese',
    'pt-br' => ' - Portuguese/Brazil',
    'pt-pt' => ' - Portuguese/Portugal',
    'pa' => 'Punjabi',
    'rm' => 'Raeto-Romance',
    'ro' => 'Romanian',
    'ro-mo' => ' - Romanian/Moldova',
    'ru' => 'Russian',
    'ru-mo' => ' - Russian/Moldova',
    'sa' => 'Sanskrit',
    'sr' => 'Serbian',
    'tn' => 'Setsuana',
    'sd' => 'Sindhi',
    'si' => 'Sinhala',
    'sk' => 'Slovak',
    'sl' => 'Slovenian',
    'so' => 'Somali',
    'sb' => 'Sorbian',
    'es' => 'Spanish',
    'es-ar' => ' - Spanish/Argentina',
    'es-bo' => ' - Spanish/Bolivia',
    'es-cl' => ' - Spanish/Chile',
    'es-co' => ' - Spanish/Colombia',
    'es-cr' => ' - Spanish/Costa Rica',
    'es-do' => ' - Spanish/Dominican Republic',
    'es-ec' => ' - Spanish/Ecuador',
    'es-sv' => ' - Spanish/El Salvador',
    'es-gt' => ' - Spanish/Guatemala',
    'es-hn' => ' - Spanish/Honduras',
    'es-mx' => ' - Spanish/Mexico',
    'es-ni' => ' - Spanish/Nicaragua',
    'es-pa' => ' - Spanish/Panama',
    'es-py' => ' - Spanish/Paraguay',
    'es-pe' => ' - Spanish/Peru',
    'es-pr' => ' - Spanish/Puerto Rico',
    'es-es' => ' - Spanish/Spain (Traditional)',
    'es-uy' => ' - Spanish/Uruguay',
    'es-ve' => ' - Spanish/Venezuela',
    'sw' => 'Swahili',
    'sv' => 'Swedish',
    'sv-fi' => ' - Swedish/Finland',
    'sv-se' => ' - Swedish/Sweden',
    'tg' => 'Tajik',
    'ta' => 'Tamil',
    'tt' => 'Tatar',
    'te' => 'Telugu',
    'th' => 'Thai',
    'bo' => 'Tibetan',
    'ts' => 'Tsonga',
    'tr' => 'Turkish',
    'tk' => 'Turkmen',
    'uk' => 'Ukrainian',
    'ur' => 'Urdu',
    'uz' => 'Uzbek',
    'vi' => 'Vietnamese',
    'cy' => 'Welsh',
    'xh' => 'Xhosa',
    'yi' => 'Yiddish',
    'zu' => 'Zulu',
];
